//
//  SBSDKAspectRatio.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 02.06.20.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKAspectRatio {
    var encodedDictionary: [String: Any] {
        let dictionary: [String: Any] = ["width": self.width,
                                        "height": self.height]
        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
    
    convenience init?(from dictionary: [String: Any?]) {
        guard let width = dictionary["width"] as? Double,
            let height = dictionary["height"] as? Double else {
                return nil
        }
        self.init(width: width, andHeight: height)
    }
    
}
