//
//  SBSDKBarcodeDocumentType.swift
//  barcode_scanner
//
//  Created by Sarbjyot Chahal on 06.12.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeDocumentType {
    static func fromArguments(_ arguments: [String: Any]) -> [SBSDKBarcodeDocumentType]? {
        if let stringArray = arguments["acceptedDocumentFormats"] as? [String] {
            let barcodes = stringArray.compactMap({ SBSDKBarcodeDocumentType.from(string: $0) })
            return barcodes
        }
        return nil
    }

    static func from(string: String) -> SBSDKBarcodeDocumentType? {
        switch string {
        case "AAMVA": return SBSDKBarcodeDocumentTypeAAMVA;
        case "BOARDING_PASS": return SBSDKBarcodeDocumentTypeBoardingPass;
        case "DE_MEDICAL_PLAN": return SBSDKBarcodeDocumentTypeMedicalPlan;
        case "MEDICAL_CERTIFICATE": return SBSDKBarcodeDocumentTypeMedicalCertificate;
        case "ID_CARD_PDF_417": return SBSDKBarcodeDocumentTypeIDCardPDF417;
        case "SEPA": return SBSDKBarcodeDocumentTypeSEPA;
        case "SWISS_QR": return SBSDKBarcodeDocumentTypeSwissQR;
        case "VCARD": return SBSDKBarcodeDocumentTypeVCard;
        default: return nil
        }
    }

    var encodedString: String? {
        switch self {
        case SBSDKBarcodeDocumentTypeAAMVA: return "AAMVA";
        case SBSDKBarcodeDocumentTypeBoardingPass: return "BOARDING_PASS";
        case SBSDKBarcodeDocumentTypeMedicalPlan: return "DE_MEDICAL_PLAN";
        case SBSDKBarcodeDocumentTypeMedicalCertificate: return "MEDICAL_CERTIFICATE";
        case SBSDKBarcodeDocumentTypeIDCardPDF417: return "ID_CARD_PDF_417";
        case SBSDKBarcodeDocumentTypeSEPA: return "SEPA";
        case SBSDKBarcodeDocumentTypeSwissQR: return "SWISS_QR";
        case SBSDKBarcodeDocumentTypeVCard: return "VCARD";
        default: return nil
        }
    }
}
